Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.4 generated on June 22 2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.remote
Class TCPTransport

    java.lang.Object
      com.solarmetric.remote.TCPTransport

All Implemented Interfaces:
  Transport, Closeable

    public class TCPTransport

extends Object
implements Transport

TCP transport layer.

Nested Class Summary

Nested classes/interfaces inherited from interface com.solarmetric.remote.Transport
`Transport.Channel, Transport.Server`

Constructor Summary
`TCPTransport()`

Method Summary
`void` | `close()`
`Transport.Channel` | `getClientChannel()` Return a transport client channel to communicate with a remote server.
`String` | `getHost()` The server's host.
`int` | `getPort()` The port the server listens on.
`Transport.Server` | `getServer()` Return a transport server to listen for client connections.
`int` | `getSoTimeout()` The socket read timeout, in milliseconds.
`void` | `setHost(String host)` The server's host.
`void` | `setPort(int port)` The port the server listens on.
`void` | `setSoTimeout(int timeout)` The socket read timeout, in milliseconds.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TCPTransport

    public TCPTransport()

Method Detail

### getPort

    public int getPort()

  The port the server listens on. Defaults to 5637.

### setPort

    public void setPort(int port)

  The port the server listens on. Defaults to 5637.

### getHost

    public String getHost()

  The server's host. Defaults to 'localhost'.

### setHost

    public void setHost(String host)

  The server's host. Defaults to 'localhost'.

### getSoTimeout

    public int getSoTimeout()

  The socket read timeout, in milliseconds. Defaults to 0, meaning no timeout.

### setSoTimeout

    public void setSoTimeout(int timeout)

  The socket read timeout, in milliseconds. Defaults to 0, meaning no timeout.

### getServer

    public Transport.Server getServer()
                               throws Exception

  Description copied from interface: `Transport`
  Return a transport server to listen for client connections. Only one server will ever be requested per transport instance.

  Specified by:
    `getServer` in interface `Transport`
  Throws:
    `Exception`

### getClientChannel

    public Transport.Channel getClientChannel()
                                       throws Exception

  Description copied from interface: `Transport`
  Return a transport client channel to communicate with a remote server.

  Specified by:
    `getClientChannel` in interface `Transport`
  Throws:
    `Exception`

### close

    public void close()

  Specified by:
    `close` in interface `Closeable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.4 generated on June 22 2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2006 BEA Systems, Inc. All Rights Reserved.